Flow: Provide more relevant error message if internet connection is lost
Closed, ResolvedPublic

Description

If an attempt is made to switch edit mode while the internet connection has dropped, the error message is:

Unable to parse content due to a Parsoid failure.

This is confusing, both for users who do know what Parasoid is and those who don't. The error message should indicate no internet connection, or unable to reach server, or similar.

Win7/Firefox. Reproducible: yes. Click reply. Type plaintext in VE mode. Drop internet connection. Try to switch to wikiedit mode.

Alsee created this task.Nov 15 2015, 9:01 AM
Alsee added a project: Flow.
Alsee added a subscriber: Alsee.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 15 2015, 9:01 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Nemo_bis set Security to None.
Nemo_bis added a project: I18n.
MtDu added a subscriber: MtDu.Jan 1 2016, 1:44 PM

I'll fix this. :)

Change 261809 had a related patch set uploaded (by MtDu):
Clarify loss of internet connection as source of error in error message

https://gerrit.wikimedia.org/r/261809

Nemo_bis assigned this task to MtDu.Jan 1 2016, 2:41 PM

Change 261809 merged by jenkins-bot:
Clarify loss of internet connection as source of error in error message

https://gerrit.wikimedia.org/r/261809

MtDu closed this task as "Resolved".Jan 10 2016, 3:20 AM